## kernel-image-2.4.25-alpha 2.4.25-3

=== debian/changelog ===
kernel-image-2.4.25-alpha (2.4.25-3) unstable; urgency=low

  * Built against kernel-tree 2.4.25-3.

 -- Herbert Xu <herbert@debian.org>  Wed, 14 Apr 2004 19:36:52 +1000

kernel-image-2.4.25-alpha (2.4.25-2) unstable; urgency=low

  * Built against kernel-tree 2.4.25-2.
  * Explain SMP in long description.
  * Depend on kernel-doc or kernel-source.

 -- Herbert Xu <herbert@debian.org>  Mon, 12 Apr 2004 11:56:54 +1000

kernel-image-2.4.25-alpha (2.4.25-1) unstable; urgency=low

  * New upstream release.
  * Build ext2 as a module in smp flavour.

 -- Herbert Xu <herbert@debian.org>  Mon, 23 Feb 2004 20:41:56 +1100

kernel-image-2.4.24-alpha (2.4.24-3) unstable; urgency=low

  * Built against kernel-tree 2.4.24-3.

 -- Herbert Xu <herbert@debian.org>  Wed, 18 Feb 2004 19:39:17 +1100

kernel-image-2.4.24-alpha (2.4.24-2) unstable; urgency=low

  * Built against kernel-tree 2.4.24-2.

 -- Herbert Xu <herbert@debian.org>  Tue,  3 Feb 2004 21:55:36 +1100

kernel-image-2.4.24-alpha (2.4.24-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Tue,  6 Jan 2004 19:12:33 +1100

kernel-image-2.4.23-alpha (2.4.23-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Sun, 30 Nov 2003 11:43:02 +1100

kernel-image-2.4.22-alpha (2.4.22-4) unstable; urgency=low

  * Added debnum target.
  * Added /lib build symlink in flavoured kernel-headers package.
  * Built against kernel-tree 2.4.22-4.
  * Changed modules ABI.

 -- Herbert Xu <herbert@debian.org>  Sat, 15 Nov 2003 15:30:45 +1100

kernel-image-2.4.22-alpha (2.4.22-3) unstable; urgency=low

  * Built against kernel-tree 2.4.22-3.

 -- Herbert Xu <herbert@debian.org>  Sat,  4 Oct 2003 14:31:07 +1000

kernel-image-2.4.22-alpha (2.4.22-2) unstable; urgency=low

  * Built against kernel-tree 2.4.22-2.

 -- Herbert Xu <herbert@debian.org>  Sat, 27 Sep 2003 18:22:41 +1000

kernel-image-2.4.22-alpha (2.4.22-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Fri,  5 Sep 2003 20:50:39 +1000

kernel-image-2.4.21-1-alpha (2.4.21-5) unstable; urgency=low

  * Built against kernel-tree 2.4.21-5.
  * Changed modules ABI.
  * Enabled DECNET_ROUTER.

 -- Herbert Xu <herbert@debian.org>  Sun, 24 Aug 2003 13:14:22 +1000

kernel-image-2.4.21-1-alpha (2.4.21-4) unstable; urgency=low

  * Built against kernel-tree 2.4.21-4 containing various security fixes.
  * Changed modules ABI.

 -- Herbert Xu <herbert@debian.org>  Sat,  2 Aug 2003 21:11:49 +1000

kernel-image-2.4.21-1-alpha (2.4.21-3) unstable; urgency=low

  * Build-depend on kernel-package 8.042.
  * Built against kernel-tree 2.4.21-3.
  * Changed modules ABI.

 -- Herbert Xu <herbert@debian.org>  Sun, 20 Jul 2003 12:52:19 +1000

kernel-image-2.4.21-1-alpha (2.4.21-2) unstable; urgency=low

  * Source package name no longer changes with debnum.
  * Get kernel-patch-debian from new location.
  * Built against kernel-tree 2.4.21-2.
  * Changed modules ABI.

 -- Herbert Xu <herbert@debian.org>  Fri,  4 Jul 2003 22:53:34 +1000

kernel-image-2.4.21-1-alpha (2.4.21-1) unstable; urgency=low

  * New upstream release.
  * Use kernel-tree instead of kernel-source.
  * Removed wildfire flavour.  Users should switch to the smp flavour.

 -- Herbert Xu <herbert@debian.org>  Sun, 15 Jun 2003 11:43:23 +1000

kernel-image-2.4.20-3-alpha (2.4.20-8) unstable; urgency=low

  * Enabled SOUND_GUS16 and SOUND_GUSMAX.
  * Built against kernel-source 2.4.20-8.
    . Fixed TIOCCONS and writing to /dev/console.
    . Fixed hashing exploits in fragment processing.

 -- Herbert Xu <herbert@debian.org>  Sat,  7 Jun 2003 20:17:14 +1000

kernel-image-2.4.20-3-alpha (2.4.20-7) unstable; urgency=low

  * Added copyright file to kernel-build package.
  * Enabled CONFIG_NET_QOS and assorted goodies (see i386).
  * Rebuilt against kernel-source-2.4.20-7:
   . Fixed hashing exploits in network stack.
   . Fixed ptrace fix.
  * Changed modules ABI.

 -- Herbert Xu <herbert@debian.org>  Sun, 18 May 2003 18:11:47 +1000

kernel-image-2.4.20-1-alpha (2.4.20-6) unstable; urgency=low

  * Fixed symlinks in flavoured kernel-headers packages.

 -- Herbert Xu <herbert@debian.org>  Tue, 25 Mar 2003 20:45:59 +1100

kernel-image-2.4.20-1-alpha (2.4.20-5) unstable; urgency=low

  * Moved INITRD modules to initrd from boot.
  * Enabled OSF4 compatitbility option.
  * Added support for additional revision number in kernel name.
  * Rebuilt against kernel-source-2.4.20-6.
   . Fixed ptrace security hole.
   . Changed modules ABI.
  * Resplit kernel-build into individual kernel-headers.

 -- Herbert Xu <herbert@debian.org>  Sat, 22 Mar 2003 20:55:41 +1100

kernel-image-2.4.20-alpha (2.4.20-4) unstable; urgency=high

  * Rebuilt against kernel-source 2.4.20-5 (closes: #176489).
  * Compile floppy driver into the kernel.

 -- Herbert Xu <herbert@debian.org>  Tue, 14 Jan 2003 07:30:30 +1100

kernel-image-2.4.20-alpha (2.4.20-3) unstable; urgency=high

  * Disabled CONFIG_INET_ECN again.
  * Rebuilt against kernel-source 2.4.20-4.
  * Fixed ethernet packet padding information leak (2.4ac, see #176178):
    . 3c501
    . 3c505
    . 3c507
    . 3c523
    . 3c527
    . 7990
    . 8139too
    . 82596
    . 8390
    . a2065
    . am79c961a
    . ariadne
    . at1700
    . atarilance
    . atp
    . bagetlance
    . de600
    . de620
    . declance
    . depca
    . eepro
    . eexpress
    . epic100
    . eth16i
    . fmv18x
    . hp100
    . lance
    . lasi_82596
    . lp486e
    . ni5010
    . ni52
    . ni65
    . axnet_cs
    . fmvj18x_cs
    . ray_cs
    . xirc2ps_cs
    . xircom_tulip_cb
    . seeq8005
    . sgiseeq
    . sk_g16
    . smc9194
    . sun3_82586
    . sun3lance
    . wavelan
    . yellowfin
    . znet

 -- Herbert Xu <herbert@debian.org>  Sun, 12 Jan 2003 12:30:17 +1100

kernel-image-2.4.20-alpha (2.4.20-2) unstable; urgency=low

  * Rebuilt against kernel-source 2.4.20-3.

 -- Herbert Xu <herbert@debian.org>  Sat, 21 Dec 2002 14:32:49 +1100


